For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet
      • POSTUpdate
      • GETEmail Log
      • POSTInvalidate Tokens
        • GETGet All
        • GETGet
        • POSTUpdate
        • DELReset
Logo
Sign inBook a demo
API ReferenceOrganizationNotification Configuration

Update

POST
https://api.mercoa.com/organization/notification-configuration/:notificationType
POST
/organization/notification-configuration/:notificationType
$curl -X POST https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "notificationType": "invoice",
> "url": "url"
>}'
1{
2 "notificationType": "invoice",
3 "type": "INVOICE_APPROVAL_NEEDED",
4 "url": "url",
5 "subject": "subject"
6}
Update notification configuration for this notification type
Was this page helpful?
Previous

Reset

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

notificationTypeenumRequired

Request

This endpoint expects an object.
invoiceobjectRequired

Response

This endpoint returns an object.
invoiceobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented